## org.apache.axis.transport.jms
Class JMSEndpoint

    java.lang.Object
      org.apache.axis.transport.jms.JMSEndpoint

public abstract class JMSEndpoint
extends java.lang.Object

JMSEndpoint encapsulates interactions w/ a JMS destination.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Constructor Summary
`protected` `JMSEndpoint(JMSConnector connector)`

Method Summary
`byte[]` `call(byte[] message, long timeout)` Send a message and wait for a response.
`byte[]` `call(byte[] message, long timeout, java.util.HashMap properties)` Send a message and wait for a response.
`protected Subscription` `createSubscription(javax.jms.MessageListener listener, java.util.HashMap properties)`
`boolean` `equals(java.lang.Object object)`
`int` `hashCode()`
`void` `registerListener(javax.jms.MessageListener listener)` Register a MessageListener.
`void` `registerListener(javax.jms.MessageListener listener, java.util.HashMap properties)` Register a MessageListener.
`void` `send(byte[] message)` Send a message w/o waiting for a response.
`void` `send(byte[] message, java.util.HashMap properties)` Send a message w/o waiting for a response.
`void` `unregisterListener(javax.jms.MessageListener listener)` Unregister a message listener.
`void` `unregisterListener(javax.jms.MessageListener listener, java.util.HashMap properties)` Unregister a message listener.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSEndpoint

    protected JMSEndpoint(JMSConnector connector)

Method Detail

### call

    public byte[] call(byte[] message,
                       long timeout)
                throws java.lang.Exception

  Send a message and wait for a response.

  Parameters:
    `message` -
    `timeout` -
  Returns:
  Throws:
    `JMSException`
    `java.lang.Exception`

### call

    public byte[] call(byte[] message,
                       long timeout,
                       java.util.HashMap properties)
                throws java.lang.Exception

  Send a message and wait for a response.

  Parameters:
    `message` -
    `timeout` -
    `properties` -
  Returns:
  Throws:
    `JMSException`
    `java.lang.Exception`

### send

    public void send(byte[] message)
              throws java.lang.Exception

  Send a message w/o waiting for a response.

  Parameters:
    `message` -
  Throws:
    `JMSException`
    `java.lang.Exception`

### send

    public void send(byte[] message,
                     java.util.HashMap properties)
              throws java.lang.Exception

  Send a message w/o waiting for a response.

  Parameters:
    `message` -
    `properties` -
  Throws:
    `JMSException`
    `java.lang.Exception`

### registerListener

    public void registerListener(javax.jms.MessageListener listener)
                          throws java.lang.Exception

  Register a MessageListener.

  Parameters:
    `listener` -
  Throws:
    `JMSException`
    `java.lang.Exception`

### registerListener

    public void registerListener(javax.jms.MessageListener listener,
                                 java.util.HashMap properties)
                          throws java.lang.Exception

  Register a MessageListener.

  Parameters:
    `listener` -
    `properties` -
  Throws:
    `JMSException`
    `java.lang.Exception`

### unregisterListener

    public void unregisterListener(javax.jms.MessageListener listener)

  Unregister a message listener.

  Parameters:
    `listener` -

### unregisterListener

    public void unregisterListener(javax.jms.MessageListener listener,
                                   java.util.HashMap properties)

  Unregister a message listener.

  Parameters:
    `listener` -
    `properties` -

### createSubscription

    protected Subscription createSubscription(javax.jms.MessageListener listener,
                                              java.util.HashMap properties)

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object object)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.